yd_q_h Module Reference
Inheritance diagram for yd_q_h:
[legend]
Collaboration diagram for yd_q_h:
[legend]

## Public Attributes

## Inputs

clk |
rst |
enable |
data_in | [ 7 : 0 ]

## Outputs

JPEG_bitstream | [ 31 : 0 ]
data_ready |
y_orc | [ 4 : 0 ]
end_of_block_output |
end_of_block_empty |

## Signals

wire | dct_enable
wire | quantizer_enable
wire[ 10 : 0 ] | Z11_final
wire[ 10 : 0 ] | Z12_final
wire[ 10 : 0 ] | Z13_final
wire[ 10 : 0 ] | Z14_final
wire[ 10 : 0 ] | Z15_final
wire[ 10 : 0 ] | Z16_final
wire[ 10 : 0 ] | Z17_final
wire[ 10 : 0 ] | Z18_final
wire[ 10 : 0 ] | Z21_final
wire[ 10 : 0 ] | Z22_final
wire[ 10 : 0 ] | Z23_final
wire[ 10 : 0 ] | Z24_final
wire[ 10 : 0 ] | Z25_final
wire[ 10 : 0 ] | Z26_final
wire[ 10 : 0 ] | Z27_final
wire[ 10 : 0 ] | Z28_final
wire[ 10 : 0 ] | Z31_final
wire[ 10 : 0 ] | Z32_final
wire[ 10 : 0 ] | Z33_final
wire[ 10 : 0 ] | Z34_final
wire[ 10 : 0 ] | Z35_final
wire[ 10 : 0 ] | Z36_final
wire[ 10 : 0 ] | Z37_final
wire[ 10 : 0 ] | Z38_final
wire[ 10 : 0 ] | Z41_final
wire[ 10 : 0 ] | Z42_final
wire[ 10 : 0 ] | Z43_final
wire[ 10 : 0 ] | Z44_final
wire[ 10 : 0 ] | Z45_final
wire[ 10 : 0 ] | Z46_final
wire[ 10 : 0 ] | Z47_final
wire[ 10 : 0 ] | Z48_final
wire[ 10 : 0 ] | Z51_final
wire[ 10 : 0 ] | Z52_final
wire[ 10 : 0 ] | Z53_final
wire[ 10 : 0 ] | Z54_final
wire[ 10 : 0 ] | Z55_final
wire[ 10 : 0 ] | Z56_final
wire[ 10 : 0 ] | Z57_final
wire[ 10 : 0 ] | Z58_final
wire[ 10 : 0 ] | Z61_final
wire[ 10 : 0 ] | Z62_final
wire[ 10 : 0 ] | Z63_final
wire[ 10 : 0 ] | Z64_final
wire[ 10 : 0 ] | Z65_final
wire[ 10 : 0 ] | Z66_final
wire[ 10 : 0 ] | Z67_final
wire[ 10 : 0 ] | Z68_final
wire[ 10 : 0 ] | Z71_final
wire[ 10 : 0 ] | Z72_final
wire[ 10 : 0 ] | Z73_final
wire[ 10 : 0 ] | Z74_final
wire[ 10 : 0 ] | Z75_final
wire[ 10 : 0 ] | Z76_final
wire[ 10 : 0 ] | Z77_final
wire[ 10 : 0 ] | Z78_final
wire[ 10 : 0 ] | Z81_final
wire[ 10 : 0 ] | Z82_final
wire[ 10 : 0 ] | Z83_final
wire[ 10 : 0 ] | Z84_final
wire[ 10 : 0 ] | Z85_final
wire[ 10 : 0 ] | Z86_final
wire[ 10 : 0 ] | Z87_final
wire[ 10 : 0 ] | Z88_final
wire[ 10 : 0 ] | Q11
wire[ 10 : 0 ] | Q12
wire[ 10 : 0 ] | Q13
wire[ 10 : 0 ] | Q14
wire[ 10 : 0 ] | Q15
wire[ 10 : 0 ] | Q16
wire[ 10 : 0 ] | Q17
wire[ 10 : 0 ] | Q18
wire[ 10 : 0 ] | Q21
wire[ 10 : 0 ] | Q22
wire[ 10 : 0 ] | Q23
wire[ 10 : 0 ] | Q24
wire[ 10 : 0 ] | Q25
wire[ 10 : 0 ] | Q26
wire[ 10 : 0 ] | Q27
wire[ 10 : 0 ] | Q28
wire[ 10 : 0 ] | Q31
wire[ 10 : 0 ] | Q32
wire[ 10 : 0 ] | Q33
wire[ 10 : 0 ] | Q34
wire[ 10 : 0 ] | Q35
wire[ 10 : 0 ] | Q36
wire[ 10 : 0 ] | Q37
wire[ 10 : 0 ] | Q38
wire[ 10 : 0 ] | Q41
wire[ 10 : 0 ] | Q42
wire[ 10 : 0 ] | Q43
wire[ 10 : 0 ] | Q44
wire[ 10 : 0 ] | Q45
wire[ 10 : 0 ] | Q46
wire[ 10 : 0 ] | Q47
wire[ 10 : 0 ] | Q48
wire[ 10 : 0 ] | Q51
wire[ 10 : 0 ] | Q52
wire[ 10 : 0 ] | Q53
wire[ 10 : 0 ] | Q54
wire[ 10 : 0 ] | Q55
wire[ 10 : 0 ] | Q56
wire[ 10 : 0 ] | Q57
wire[ 10 : 0 ] | Q58
wire[ 10 : 0 ] | Q61
wire[ 10 : 0 ] | Q62
wire[ 10 : 0 ] | Q63
wire[ 10 : 0 ] | Q64
wire[ 10 : 0 ] | Q65
wire[ 10 : 0 ] | Q66
wire[ 10 : 0 ] | Q67
wire[ 10 : 0 ] | Q68
wire[ 10 : 0 ] | Q71
wire[ 10 : 0 ] | Q72
wire[ 10 : 0 ] | Q73
wire[ 10 : 0 ] | Q74
wire[ 10 : 0 ] | Q75
wire[ 10 : 0 ] | Q76
wire[ 10 : 0 ] | Q77
wire[ 10 : 0 ] | Q78
wire[ 10 : 0 ] | Q81
wire[ 10 : 0 ] | Q82
wire[ 10 : 0 ] | Q83
wire[ 10 : 0 ] | Q84
wire[ 10 : 0 ] | Q85
wire[ 10 : 0 ] | Q86
wire[ 10 : 0 ] | Q87
wire[ 10 : 0 ] | Q88

## Module Instances

y_dct::u1 | Module y_dct
y_quantizer::u2 | Module y_quantizer
y_huff::u3 | Module y_huff

## Detailed Description

Definition at line 38 of file yd_q_h.v.

## Member Data Documentation

clk

Input

Definition at line 42 of file yd_q_h.v.

rst

Input

Definition at line 43 of file yd_q_h.v.

enable

Input

Definition at line 44 of file yd_q_h.v.

data_in [ 7 : 0 ]

Input

Definition at line 45 of file yd_q_h.v.

JPEG_bitstream [ 31 : 0 ]

Output

Definition at line 46 of file yd_q_h.v.

data_ready

Output

Definition at line 47 of file yd_q_h.v.

y_orc [ 4 : 0 ]

Output

Definition at line 48 of file yd_q_h.v.

end_of_block_output

Output

Definition at line 49 of file yd_q_h.v.

end_of_block_empty

Output

Definition at line 50 of file yd_q_h.v.

dct_enable

Signal

Definition at line 53 of file yd_q_h.v.

quantizer_enable

Signal

Definition at line 53 of file yd_q_h.v.

Z11_final

Signal

Definition at line 54 of file yd_q_h.v.

Z12_final

Signal

Definition at line 54 of file yd_q_h.v.

Z13_final

Signal

Definition at line 54 of file yd_q_h.v.

Z14_final

Signal

Definition at line 54 of file yd_q_h.v.

Z15_final

Signal

Definition at line 55 of file yd_q_h.v.

Z16_final

Signal

Definition at line 55 of file yd_q_h.v.

Z17_final

Signal

Definition at line 55 of file yd_q_h.v.

Z18_final

Signal

Definition at line 55 of file yd_q_h.v.

Z21_final

Signal

Definition at line 56 of file yd_q_h.v.

Z22_final

Signal

Definition at line 56 of file yd_q_h.v.

Z23_final

Signal

Definition at line 56 of file yd_q_h.v.

Z24_final

Signal

Definition at line 56 of file yd_q_h.v.

Z25_final

Signal

Definition at line 57 of file yd_q_h.v.

Z26_final

Signal

Definition at line 57 of file yd_q_h.v.

Z27_final

Signal

Definition at line 57 of file yd_q_h.v.

Z28_final

Signal

Definition at line 57 of file yd_q_h.v.

Z31_final

Signal

Definition at line 58 of file yd_q_h.v.

Z32_final

Signal

Definition at line 58 of file yd_q_h.v.

Z33_final

Signal

Definition at line 58 of file yd_q_h.v.

Z34_final

Signal

Definition at line 58 of file yd_q_h.v.

Z35_final

Signal

Definition at line 59 of file yd_q_h.v.

Z36_final

Signal

Definition at line 59 of file yd_q_h.v.

Z37_final

Signal

Definition at line 59 of file yd_q_h.v.

Z38_final

Signal

Definition at line 59 of file yd_q_h.v.

Z41_final

Signal

Definition at line 60 of file yd_q_h.v.

Z42_final

Signal

Definition at line 60 of file yd_q_h.v.

Z43_final

Signal

Definition at line 60 of file yd_q_h.v.

Z44_final

Signal

Definition at line 60 of file yd_q_h.v.

Z45_final

Signal

Definition at line 61 of file yd_q_h.v.

Z46_final

Signal

Definition at line 61 of file yd_q_h.v.

Z47_final

Signal

Definition at line 61 of file yd_q_h.v.

Z48_final

Signal

Definition at line 61 of file yd_q_h.v.

Z51_final

Signal

Definition at line 62 of file yd_q_h.v.

Z52_final

Signal

Definition at line 62 of file yd_q_h.v.

Z53_final

Signal

Definition at line 62 of file yd_q_h.v.

Z54_final

Signal

Definition at line 62 of file yd_q_h.v.

Z55_final

Signal

Definition at line 63 of file yd_q_h.v.

Z56_final

Signal

Definition at line 63 of file yd_q_h.v.

Z57_final

Signal

Definition at line 63 of file yd_q_h.v.

Z58_final

Signal

Definition at line 63 of file yd_q_h.v.

Z61_final

Signal

Definition at line 64 of file yd_q_h.v.

Z62_final

Signal

Definition at line 64 of file yd_q_h.v.

Z63_final

Signal

Definition at line 64 of file yd_q_h.v.

Z64_final

Signal

Definition at line 64 of file yd_q_h.v.

Z65_final

Signal

Definition at line 65 of file yd_q_h.v.

Z66_final

Signal

Definition at line 65 of file yd_q_h.v.

Z67_final

Signal

Definition at line 65 of file yd_q_h.v.

Z68_final

Signal

Definition at line 65 of file yd_q_h.v.

Z71_final

Signal

Definition at line 66 of file yd_q_h.v.

Z72_final

Signal

Definition at line 66 of file yd_q_h.v.

Z73_final

Signal

Definition at line 66 of file yd_q_h.v.

Z74_final

Signal

Definition at line 66 of file yd_q_h.v.

Z75_final

Signal

Definition at line 67 of file yd_q_h.v.

Z76_final

Signal

Definition at line 67 of file yd_q_h.v.

Z77_final

Signal

Definition at line 67 of file yd_q_h.v.

Z78_final

Signal

Definition at line 67 of file yd_q_h.v.

Z81_final

Signal

Definition at line 68 of file yd_q_h.v.

Z82_final

Signal

Definition at line 68 of file yd_q_h.v.

Z83_final

Signal

Definition at line 68 of file yd_q_h.v.

Z84_final

Signal

Definition at line 68 of file yd_q_h.v.

Z85_final

Signal

Definition at line 69 of file yd_q_h.v.

Z86_final

Signal

Definition at line 69 of file yd_q_h.v.

Z87_final

Signal

Definition at line 69 of file yd_q_h.v.

Z88_final

Signal

Definition at line 69 of file yd_q_h.v.

Q11

Signal

Definition at line 70 of file yd_q_h.v.

Q12

Signal

Definition at line 70 of file yd_q_h.v.

Q13

Signal

Definition at line 70 of file yd_q_h.v.

Q14

Signal

Definition at line 70 of file yd_q_h.v.

Q15

Signal

Definition at line 70 of file yd_q_h.v.

Q16

Signal

Definition at line 70 of file yd_q_h.v.

Q17

Signal

Definition at line 70 of file yd_q_h.v.

Q18

Signal

Definition at line 70 of file yd_q_h.v.

Q21

Signal

Definition at line 71 of file yd_q_h.v.

Q22

Signal

Definition at line 71 of file yd_q_h.v.

Q23

Signal

Definition at line 71 of file yd_q_h.v.

Q24

Signal

Definition at line 71 of file yd_q_h.v.

Q25

Signal

Definition at line 71 of file yd_q_h.v.

Q26

Signal

Definition at line 71 of file yd_q_h.v.

Q27

Signal

Definition at line 71 of file yd_q_h.v.

Q28

Signal

Definition at line 71 of file yd_q_h.v.

Q31

Signal

Definition at line 72 of file yd_q_h.v.

Q32

Signal

Definition at line 72 of file yd_q_h.v.

Q33

Signal

Definition at line 72 of file yd_q_h.v.

Q34

Signal

Definition at line 72 of file yd_q_h.v.

Q35

Signal

Definition at line 72 of file yd_q_h.v.

Q36

Signal

Definition at line 72 of file yd_q_h.v.

Q37

Signal

Definition at line 72 of file yd_q_h.v.

Q38

Signal

Definition at line 72 of file yd_q_h.v.

Q41

Signal

Definition at line 73 of file yd_q_h.v.

Q42

Signal

Definition at line 73 of file yd_q_h.v.

Q43

Signal

Definition at line 73 of file yd_q_h.v.

Q44

Signal

Definition at line 73 of file yd_q_h.v.

Q45

Signal

Definition at line 73 of file yd_q_h.v.

Q46

Signal

Definition at line 73 of file yd_q_h.v.

Q47

Signal

Definition at line 73 of file yd_q_h.v.

Q48

Signal

Definition at line 73 of file yd_q_h.v.

Q51

Signal

Definition at line 74 of file yd_q_h.v.

Q52

Signal

Definition at line 74 of file yd_q_h.v.

Q53

Signal

Definition at line 74 of file yd_q_h.v.

Q54

Signal

Definition at line 74 of file yd_q_h.v.

Q55

Signal

Definition at line 74 of file yd_q_h.v.

Q56

Signal

Definition at line 74 of file yd_q_h.v.

Q57

Signal

Definition at line 74 of file yd_q_h.v.

Q58

Signal

Definition at line 74 of file yd_q_h.v.

Q61

Signal

Definition at line 75 of file yd_q_h.v.

Q62

Signal

Definition at line 75 of file yd_q_h.v.

Q63

Signal

Definition at line 75 of file yd_q_h.v.

Q64

Signal

Definition at line 75 of file yd_q_h.v.

Q65

Signal

Definition at line 75 of file yd_q_h.v.

Q66

Signal

Definition at line 75 of file yd_q_h.v.

Q67

Signal

Definition at line 75 of file yd_q_h.v.

Q68

Signal

Definition at line 75 of file yd_q_h.v.

Q71

Signal

Definition at line 76 of file yd_q_h.v.

Q72

Signal

Definition at line 76 of file yd_q_h.v.

Q73

Signal

Definition at line 76 of file yd_q_h.v.

Q74

Signal

Definition at line 76 of file yd_q_h.v.

Q75

Signal

Definition at line 76 of file yd_q_h.v.

Q76

Signal

Definition at line 76 of file yd_q_h.v.

Q77

Signal

Definition at line 76 of file yd_q_h.v.

Q78

Signal

Definition at line 76 of file yd_q_h.v.

Q81

Signal

Definition at line 77 of file yd_q_h.v.

Q82

Signal

Definition at line 77 of file yd_q_h.v.

Q83

Signal

Definition at line 77 of file yd_q_h.v.

Q84

Signal

Definition at line 77 of file yd_q_h.v.

Q85

Signal

Definition at line 77 of file yd_q_h.v.

Q86

Signal

Definition at line 77 of file yd_q_h.v.

Q87

Signal

Definition at line 77 of file yd_q_h.v.

Q88

Signal

Definition at line 77 of file yd_q_h.v.

y_dct u1

Module Instance

Definition at line 79 of file yd_q_h.v.

y_huff u3

Module Instance

Definition at line 127 of file yd_q_h.v.

y_quantizer u2

Module Instance

Definition at line 99 of file yd_q_h.v.

The documentation for this Module was generated from the following files:

- code/yd_q_h.v